Package com.orchestranetworks.service

# Class ArchiveImportSpec

java.lang.Object
com.orchestranetworks.service.ArchiveImportSpec

public class ArchiveImportSpec extends Object
Defines the settings of an archive import.

To be valid, an instance of this class must at least define an archive source. If no datasets are specified, then the whole archive content will be imported.

See Also:
  - `ProcedureContext.doImportArchive(ArchiveImportSpec)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveImportSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInstance(AdaptationName aDataSet, boolean includeAllDescendants)`
  Adds a dataset to import.
  `Archive`
  `getArchive()`
  Returns the archive to import.
  `ArchiveImportSpecMode`
  `getMode()`
  `void`
  `setArchive(Archive archive)`
  Specifies the archive to import.
  `void`
  `setMode(ArchiveImportSpecMode mode)`
  Specifies the import mode.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveImportSpec

    public ArchiveImportSpec()

- ## Method Details

  - ### addInstance

    public void addInstance(AdaptationName aDataSet, boolean includeAllDescendants)
    Adds a dataset to import.
    Parameters:
      `aDataSet` - the dataset to be imported
      `includeAllDescendants` - indicates if the children will be imported if they are not specified

  - ### getArchive

    public Archive getArchive()
    Returns the archive to import.

  - ### setArchive

    public void setArchive(Archive archive)
    Specifies the archive to import.

  - ### setMode

    public void setMode(ArchiveImportSpecMode mode)
    Specifies the import mode. Default is set to `ArchiveImportSpecMode.DEFAULT`.
    Throws:
      `IllegalArgumentException` - if mode is `null`.

  - ### getMode

    public ArchiveImportSpecMode getMode()
    See Also:
      - `setMode(ArchiveImportSpecMode)`